For anyone who can't wait any longer... Rated 5 out of 5 stars

1) Install the Nightly Tester Tool add-on
https://addons.mozilla.org/en-US/firefox/addon/6543
2) Go to "Tools" > "Add-Ons"
3) Right-click on the desired, incompatible add-on
4) Click "Override compatibility"
5) Add-on will install
6) Be aware that it might be instable or crashes FF.
7) ...
8) Profit!

This review is for a previous version of the add-on (1.1.3). 

Firefox 3.5 update has been uploaded

I have uploaded a new version of Classic Compact Options that is compatible with Firefox 3.5. It is should be made public very shortly once it has been reviewed by an AMO reviewer.